"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'torrentseed',
    name: 'TorrentSeed',
    description: 'TorrentSeed is a SPANISH Private Torrent Tracker for MOVIES / TV',
    language: 'es-ES',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://torrentseed.cl/'],
    caps: {
        categorymappings: [
            { id: '15', cat: 'TV/Anime', desc: 'Anime' },
            { id: '33', cat: 'TV/Sport', desc: 'Deportes' },
            { id: '13', cat: 'Console', desc: 'Juegos' },
            { id: '24', cat: 'Console/NDS', desc: 'Juegos Nintendo' },
            { id: '19', cat: 'PC/Games', desc: 'Juegos PC' },
            { id: '22', cat: 'Console/PS4', desc: 'Juegos PS4' },
            { id: '23', cat: 'Console/Xbox', desc: 'Juegos XBOX' },
            { id: '14', cat: 'Books', desc: 'Libros' },
            { id: '4', cat: 'Audio', desc: 'Musica' },
            { id: '34', cat: 'Audio/Video', desc: 'Musica Música Video  HD' },
            { id: '3', cat: 'Movies', desc: 'Peliculas' },
            { id: '30', cat: 'Movies/BluRay', desc: 'Peliculas BD25 / BD50' },
            { id: '28', cat: 'Movies/Other', desc: 'Peliculas- CAM / TS' },
            { id: '5', cat: 'Movies/DVD', desc: 'Peliculas DVD-R' },
            { id: '7', cat: 'Movies/HD', desc: 'Peliculas HD (720p 1080p)' },
            { id: '36', cat: 'Movies/3D', desc: 'Peliculas  3D' },
            { id: '6', cat: 'Movies/SD', desc: 'Peliculas SD' },
            { id: '35', cat: 'Movies/UHD', desc: 'Peliculas UHD 4K' },
            { id: '29', cat: 'Movies/WEBDL', desc: 'Peliculas- Web-DL' },
            { id: '16', cat: 'PC', desc: 'Programas' },
            { id: '25', cat: 'PC/Phone-Android', desc: 'Programas Android' },
            { id: '27', cat: 'PC/Mac', desc: 'Programas MAC' },
            { id: '26', cat: 'PC/0day', desc: 'Programas Windows' },
            { id: '8', cat: 'TV', desc: 'TV' },
            { id: '9', cat: 'TV/SD', desc: 'TV SD' },
            { id: '10', cat: 'TV/HD', desc: 'TV HD (720p, 1080p)' },
            { id: '11', cat: 'Other', desc: 'VIP' },
            { id: '12', cat: 'XXX', desc: 'XXX' },
        ],
        modes: {
            search: ['q', 'imdbid'],
            'tv-search': ['q', 'season', 'ep', 'imdbid'],
            'movie-search': ['q', 'imdbid'],
            'music-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 'added',
            options: {
                added: 'created',
                seeders: 'seeders',
                size: 'size',
                name: 'title',
            },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            logout: '',
        },
        error: [{ selector: 'table:has(td.thead:contains("error"))' }],
        test: {
            path: 'messages.php',
            selector: 'a[href*="/logout.php?logouthash="]',
        },
    },
    ratio: {
        path: 'messages.php',
        selector: 'div.welcomeback',
        filters: [{ name: 'regexp', args: 'Ratio: (.+?) |  Bonus:' }],
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            do: 'search',
            category: 0,
            include_dead_torrents: 'yes',
            keywords: '{{ if .Query.IMDBID }}{{ .Query.IMDBID }}{{else}}{{ .Keywords }}{{end}}',
            search_type: '{{ if .Query.IMDBID }}t_genre{{else}}t_name{{end}}',
            sort: '{{ .Config.sort }}',
            order: '{{ .Config.type }}',
        },
        keywordsfilters: [{ name: 're_replace', args: ['[^a-zA-Z0-9]+', '%'] }],
        rows: {
            selector: 'table#sortabletable tbody tr:has(a[href*="download-torrent-"])',
        },
        fields: {
            category: {
                selector: 'a[href*="torrent-category-"]',
                attribute: 'href',
                filters: [{ name: 'regexp', args: 'torrent-category-(\\d+)' }],
            },
            title: {
                selector: 'div[id^="port-content-"] div',
                optional: true,
            },
            details: {
                selector: 'a[href*="torrent-details-"]',
                attribute: 'href',
            },
            banner: {
                selector: 'div[id^="port-content-"] img',
                attribute: 'src',
            },
            date: {
                selector: 'td:nth-child(2) > div:last-child',
                filters: [
                    { name: 'append', args: ' +02:00' },
                    { name: 'dateparse', args: '02-01-2006 15:04 -07:00' },
                ],
            },
            download: {
                selector: 'a[href*="download-torrent-"]',
                attribute: 'href',
            },
            magnet: { selector: 'a[href^="magnet:?xt="]', attribute: 'href' },
            comments: { selector: 'td:nth-child(4) a', attribute: 'href' },
            size: { selector: 'td:nth-child(5)' },
            grabs: { selector: 'td:nth-child(6)' },
            seeders: { selector: 'td:nth-child(7)' },
            leechers: { selector: 'td:nth-child(8)' },
            downloadvolumefactor: {
                case: {
                    'img[src$="/freedownload.gif"]': 0,
                    'img[src$="/silverdownload.gif"]': 0.5,
                    '*': 1,
                },
            },
            uploadvolumefactor: { case: { 'img[src$="/x2.gif"]': 2, '*': 1 } },
            minimumratio: { text: 0.6 },
            minimumseedtime: { text: 259200 },
        },
    },
    source: 'jackett',
};
